%P. Kano
%November 1, 2005

function [SigmaWeeks,BetaWeeks,Unitmatrix,Trianmatrix] =...
WeeksPseudorminParam(Amatrix,NLaguerreCoef,SigmaDistance,DeltaSigma,BetaMin,BetaMax,DeltaBeta)

%Initialize
BetaWeeks = 0.0;
NNodes = size(Amatrix,2); 
Bvector = ones(NNodes,1);

%Schur Decomposition
[Unitmatrix,Trianmatrix] = schur(full(Amatrix),'complex');
Bvector = Unitmatrix\Bvector;

DiagVec = diag(Trianmatrix);
[SigmaMin,MaxRealPos] = max(real(DiagVec));

SigmaMax = SigmaMin + SigmaDistance;

if(SigmaMax<=SigmaMin) error('Maximum Sigma is less than the Minimum Sigma'); end

%Optimize Sigma and Return Error Estimate
optnew = optimset('TolX',DeltaSigma);
[SigmaWeeks,TruncationError,ExitFlag,ExitOutput] = ...
fminbnd('WeeksPseudorminTrun',SigmaMin,SigmaMax,optnew,BetaWeeks,BetaMin,BetaMax,DeltaBeta,Unitmatrix,Trianmatrix,NNodes,NLaguerreCoef);

%Compute BetaWeeks from the Optimized SimgaWeeks
optnew = optimset('TolX',DeltaBeta);
[BetaWeeks,Rinverse,ExitFlag,ExitOutput] = fminbnd('WeeksMinBeta',BetaMin,BetaMax,optnew,SigmaWeeks,Trianmatrix);




