%P. Kano
%November 1, 2005

function [TruncationError] = ...
WeeksPseudorminTrun(SigmaWeeks,BetaWeeks,BetaMin,BetaMax,DeltaBeta,Unitmatrix,Trianmatrix,NNodes,NLaguerreCoef)

%Truncation Error from Cauchy Estimate
optnew = optimset('TolX',DeltaBeta);
[BetaWeeks,Rinverse,ExitFlag,ExitOutput] = fminbnd('WeeksMinBeta',BetaMin,BetaMax,optnew,SigmaWeeks,Trianmatrix);

Rconvergence = 1/Rinverse;
if(Rconvergence<1.1) rmin = Rconvergence;
else rmin = 1.1;
end

%Constant in Error Bound: 
optnew = optimset('TolX',0.01);
[ThetaMin,MinDenom,ExitFlag,ExitOutput] = fminbnd('WeeksPseudorminGamma',-pi,pi,optnew,SigmaWeeks,BetaWeeks,rmin,Trianmatrix);

TruncationError = 1/MinDenom; %This is K(r)
TruncationError = TruncationError/(rmin^(NLaguerreCoef-1)*(rmin-1));
TruncationError = expm(SigmaWeeks)*TruncationError;
