%P. Kano
%November 8, 2005

function [EstimatedTotalError] =...
WeeksWeidError(SigmaWeeks,Unitmatrix,Trianmatrix,Bvector,NNodes,NLaguerreCoef,MInversions,LagSwitch,SigmaMax,DeltaSigma,BetaMin,BetaMax,DeltaBeta)

optnew = optimset('TolX',DeltaBeta);
[BetaWeeks,Rinverse,ExitFlag,ExitOutput] = fminbnd('WeeksMinBeta',BetaMin,BetaMax,optnew,SigmaWeeks,Trianmatrix);

%Compute the Laguerre Coefficients
if(LagSwitch==0)
[LaguerreCoef] =...
WeeksMidPntLagCoef(Unitmatrix,Trianmatrix,Bvector,NNodes,2*NLaguerreCoef,2*MInversions,SigmaWeeks,BetaWeeks);
elseif(LagSwitch==1)
[FFTSamples] = WeeksFFTSample(Unitmatrix,Trianmatrix,Bvector,NNodes,2*NLaguerreCoef,SigmaWeeks,BetaWeeks);
[LaguerreCoef] = WeeksFFTLagCoef(FFTSamples,NNodes,2*NLaguerreCoef);
clear FFTSamples;
else
[LaguerreCoef] =...
WeeksLaguerreCoefficients(Unitmatrix,Trianmatrix,Bvector,NNodes,2*NLaguerreCoef,2*MInversions,SigmaWeeks,BetaWeeks);
end
LaguerreCoef = abs(LaguerreCoef).^2;

TruncationError = sqrt(sum(sum(LaguerreCoef(:,NLaguerreCoef:1:2*NLaguerreCoef))));
RoundoffError = (2^(-52))*sqrt(sum(sum(LaguerreCoef(:,1:1:NLaguerreCoef))));

EstimatedTotalError = exp(SigmaWeeks)*(TruncationError+RoundoffError);
